

<?php $__env->startSection('title'); ?>
Rooms
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>               
<?php
$PermissionsAddRooms = App\Models\PermissionsUserModel::getPermission('Add Rooms', Auth::user()->id);
$PermissionsEditRooms = App\Models\PermissionsUserModel::getPermission('Edit Rooms', Auth::user()->id);
$PermissionsDeleteRooms = App\Models\PermissionsUserModel::getPermission('Delete Rooms', Auth::user()->id);
?>
<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Property Rooms</h1>
                      </div>
                  
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader">Create Room</h6>
                        </div>
                        <?php if(session('success')): ?>
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                <?php echo e(session('success')); ?>

                            </div>
                        <?php endif; ?>
                      
                        <?php if($errors->any()): ?>

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">
                                        
                                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div style="color: red; "><?php echo e($error); ?></div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        
                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>
                            <?php if(!empty($PermissionsAddRooms)): ?>
                            <form class="card-body" action="<?php echo e(route('addrooms')); ?>" method="post"  id="accountTypeForm">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" id="accountId" name="id" value="">
                                
                                <div class="form-group row">
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                    <select class="form-control form-control-user" id="floor" name="floor"  value="<?php echo e(old('floor')); ?>"  required>
                                        <option value="" disabled selected>Select Floor</option>

                                        <?php $__currentLoopData = $floors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $floor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        
                                        <option value="<?php echo e($floor->FloorNumber); ?>"><?php echo e($floor->FloorNumber); ?></option>
                                          
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    </div>
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                        <input type="text" class="form-control form-control-user" id="room" placeholder="Room" name="room"  value="<?php echo e(old('room')); ?>" required>
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control form-control-user" id="space" placeholder="Space" name="space"  value="<?php echo e(old('space')); ?>" required   >
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                    <select class="form-control form-control-user" id="tenant" name="tenant"  value="<?php echo e(old('tenant')); ?>"  required>
                                        <option value="" disabled selected>Select Tenant</option>

                                        <?php $__currentLoopData = $tenants; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tenant): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        
                                        <option value="<?php echo e($tenant->TenantCode); ?>"><?php echo e($tenant->TenantCode.' - '.$tenant->Name); ?></option>
                                          
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    </div>
                                   
                                </div>





                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="Create" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;" onclick="refreshAccountType('', '', '', '', '')"  type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>
                                    
                               </div>
                                
                                <hr>
                             </form>
                            <?php endif; ?>
                        
                        
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                        <th>Floor</th>
                                            <th>Room</th>
                                            <th>Space</th>
                                            <th>Tenant</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                        
                                        
                                            <th>Floor</th>
                                            <th>Room</th>
                                            <th>Space</th>
                                            <th>Tenant</th>
                                            <th>Action</th>

                                        </tr>
                                    </tfoot>
                                    <tbody>
                                       
                                    <?php $__currentLoopData = $rooms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $room): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                        
                                                <td><?php echo e($room->Floor); ?></td> 
                                                <td><?php echo e($room->Room); ?></td>
                                                <td><?php echo e($room->Space); ?></td>
                                                <td><?php echo e($room->Tenant); ?></td>
                                               
                                                 

                                                <td style="justify-content: center; align-items: center;">
                                                    <?php if(!empty($PermissionsEditRooms)): ?>         
                                                    <a href="" onclick="editAccountType(event,'<?php echo e($room->ID); ?>', '<?php echo e($room->Floor); ?>', '<?php echo e($room->Room); ?>', '<?php echo e($room->Space); ?>', '<?php echo e($room->TenantCode); ?>')"  class="btn btn-primary btn-circle" >
                                                    <i class="fas fa-edit"></i>
                                                    <?php endif; ?>
                                                    <?php if(!empty($PermissionsDeleteRooms)): ?>
                                                    </a>
                                                    <a href="<?php echo e(route('deleterooms', ['id' => $room->ID])); ?>" class="btn btn-danger btn-circle"   onclick="return confirmDelete('<?php echo e($room->Room.' Floor: '.$room->Floor); ?>');" >
                                                        <i class="fas fa-trash"></i>
                                                    </a>
                                                    <?php endif; ?>
                                                </td>
                                                
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                           
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        
                    </div>

                    <script>
                             function editAccountType(event, id, floor,room, space,tenant) 
                             {
                                event.preventDefault();
                                document.getElementById('accountId').value = id;
                                document.getElementById('floor').value = floor;
                                document.getElementById('room').value = room;
                                document.getElementById('space').value = space;
                                document.getElementById('tenant').value = tenant;
                                document.getElementById('formHeader').innerText = 'Edit Room';
                                document.getElementById('submitButton').value = 'Update';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("editrooms")); ?>';
                            }
                
                            function refreshAccountType(id,  floor,room, space,tenant) 
                            {
                                document.getElementById('accountId').value = id;
                                document.getElementById('floor').value = floor;
                                document.getElementById('room').value = room;
                                document.getElementById('space').value = space;
                                document.getElementById('tenant').value = tenant;
                                document.getElementById('formHeader').innerText = 'Create Room';
                                document.getElementById('submitButton').value = 'Create';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("addrooms")); ?>';
                                hideMessages();
                            
                            }

                            function confirmDelete(Name) {
                                return confirm("Are you sure you want to delete the Room: " + Name + "?");
                            }


                
                </script>

                    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\User\PINETOPS\PINETOPS\playground\realestate - Copy (2)\realestate_pro\realestate - Copy\realestate - Copy\resources\views\Rooms.blade.php ENDPATH**/ ?>